## gimp print-5

=== Makefile ===
##
# Makefile for gimp-print
##

# Project info
Project               = gimp-print
UserType              = Administrator
ToolType              = Services

Extra_Configure_Flags = --sysconfdir=/private/etc		\
						--infodir=/usr/local/share/info \
						--mandir=/usr/local/share/man	\
						--with-cups						\
						--with-user-guide				\
						--with-samples					\
						--with-escputil					\
						--with-included-gettext			\
						--without-translated-ppds		\
						--disable-static

#						--with-foomatic					

Extra_Install_Flags   = sysconfdir="$(DSTROOT)$(ETCDIR)"
Extra_CC_Flags        = -fno-common -I ../../intl
GnuAfterInstall       = do-fixups

# It's a GNU Source project
include $(MAKEFILEPATH)/CoreOS/ReleaseControl/GNUSource.make

Install_Target = install

do-fixups:
	strip -S	"$(DSTROOT)/usr/bin/escputil" \
			"$(DSTROOT)/usr/lib/libgimpprint.1.1.0.dylib" \
			"$(DSTROOT)/usr/bin/cups-calibrate" \
			"$(DSTROOT)/usr/libexec/cups/backend/canon" \
			"$(DSTROOT)/usr/libexec/cups/backend/epson" \
			"$(DSTROOT)/usr/libexec/cups/filter/commandtocanon" \
			"$(DSTROOT)/usr/libexec/cups/filter/commandtoepson" \
			"$(DSTROOT)/usr/libexec/cups/filter/rastertoprinter"
	rm -f		"$(DSTROOT)/usr/lib/charset.alias" \
			"$(DSTROOT)/usr/lib/libgimpprint.la" \
			"$(DSTROOT)/usr/share/info/dir" \
			"$(DSTROOT)/usr/share/locale/locale.alias"
	mv		"$(DSTROOT)/usr/share/locale/en_GB" \
			"$(DSTROOT)/usr/share/locale/en_GB.ISO8859-1"

=== gimp-print/debian/rules ===
#!/usr/bin/make -f
# rules to package GIMP-Print
# $Id: rules,v 1.1.1.1 2003/01/27 19:05:31 jlovell Exp $
#
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Get upstream version, and define libgimpprint suffix
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep ^Version | sed "s/.* //" | sed "s/-[^-]*$$//")
#LIBRARY_VERSION =  -$(UPSTREAM_VERSION)
LIBRARY_VERSION = 1

autoconfigure: autoconfigure-stamp
autoconfigure-stamp: debian/control debian/libgimpprint-doc.doc-base debian/libgimpprint-doc.install
	dh_testdir

	cd debian; \
	for file in libgimpprint*; do \
	  ln -sf $$file `echo $$file | sed -e 's/libgimpprint/libgimpprint$(LIBRARY_VERSION)/'`; \
	done
	rm debian/libgimpprint$(LIBRARY_VERSION)*.in
	mkdir debian/build; \
	cd debian/build; \
	BUILD_PACKAGE=true ../../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static --enable-shared --without-gimp --with-cups --with-ijs --with-foomatic --disable-test --without-translated-ppds --disable-cups-level3-ps --enable-maintainer-mode
	touch autoconfigure-stamp

build: build-stamp debian/control
build-stamp: autoconfigure-stamp
	dh_testdir

	cd debian/build; \
	$(MAKE); \
	cd src/gimp; \
	$(MAKE) print

	touch build-stamp

clean: debian/control
	dh_testdir
	rm -f build-stamp autoconfigure-stamp

	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub scripts/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess scripts/config.guess

	rm -rf debian/build debian/install
	rm -rf debian/libgimpprint-doc.doc-base debian/libgimpprint-doc.install
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).files
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).postinst
	-$(MAKE) distclean

	rm -rf $(CURDIR)/debian/libgimpprint$(LIBRARY_VERSION)*
	dh_clean

install: DH_OPTIONS=
install: build debian/control
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd debian/build; \
	$(MAKE) DESTDIR=`pwd`/../install install

	scripts/mkinstalldirs debian/gimp1.2-print/usr/lib/gimp/1.2/plug-ins
	/usr/bin/install -c debian/build/src/gimp/.libs/print debian/gimp1.2-print/usr/lib/gimp/1.2/plug-ins/print

	dh_install


# Build architecture-independent files here.
binary-indep: build install ChangeLog
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	  cd debian/libgimpprint$(LIBRARY_VERSION)-doc/usr/share/doc/libgimpprint$(LIBRARY_VERSION)-doc/html; \
	  if test ! -f gimpprint.html; then \
	    ln -s gimpprint_toc.html gimpprint.html; \
	  fi
	  cd debian/gimpprint-doc/usr/share/doc/gimpprint-doc/html; \
	  if test ! -f index.html; then \
	    ln -s book1.html index.html; \
	  fi
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i -plibgimpprint$(LIBRARY_VERSION)-doc debian/install/usr/share/info/*
	dh_undocumented -i
	dh_installchangelogs -i NEWS
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install ChangeLog
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	  cp src/cups/README debian/cupsys-driver-gimpprint/usr/share/doc/cupsys-driver-gimpprint/README.cups
	dh_installexamples -a
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installmanpages -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs -a NEWS
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a -l`pwd`/debian/libgimpprint$(LIBRARY_VERSION)/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

# Make sure ChangeLog is up-to-date.
ChangeLog: changelog-stamp
changelog-stamp: build
	$(MAKE) ChangeLog

SEDPATTERN = -e "s/\#UPSTREAM_VERSION\#/$(UPSTREAM_VERSION)/g" -e "s/\#LIBRARY_VERSION\#/$(LIBRARY_VERSION)/g"

# Make sure debian/control is up-to-date.
debian/control: debian/changelog debian/control.in
	sed $(SEDPATTERN) <debian/control.in >debian/control

# Make sure debian/libgimpprint-doc.doc-base is up-to-date.
debian/libgimpprint-doc.doc-base: debian/changelog debian/libgimpprint-doc.doc-base.in
	sed $(SEDPATTERN) <debian/libgimpprint-doc.doc-base.in >debian/libgimpprint-doc.doc-base

# Make sure debian/libgimpprint-doc.install is up-to-date.
debian/libgimpprint-doc.install: debian/changelog debian/libgimpprint-doc.install.in
	sed $(SEDPATTERN) <debian/libgimpprint-doc.install.in >debian/libgimpprint-doc.install


# Make sure that configure is up-to-date.
configure: configure.in scripts/install-sh
	if test -f configure.in; then \
	  if test -f autogen.sh; then \
	    export NOCONFIGURE=TRUE; \
	    /bin/sh autogen.sh; \
	  fi \
	fi

configure.in: configure.in.in
	if test -f configure.in.in; then \
	  if test -f autogen.sh; then \
	    NOCONFIGURE=TRUE /bin/sh autogen.sh; \
	  fi \
	fi

scripts/install-sh:
	if test -f autogen.sh; then \
	  NOCONFIGURE=TRUE /bin/sh autogen.sh; \
	fi

configure.in.in:

.PHONY: build clean binary-indep binary-arch binary install autoconfigure NEWS

## gimp print-6

=== Makefile ===
--- 
+++ 
@@ -44,3 +44,9 @@
 			"$(DSTROOT)/usr/share/locale/locale.alias"
 	mv		"$(DSTROOT)/usr/share/locale/en_GB" \
 			"$(DSTROOT)/usr/share/locale/en_GB.ISO8859-1"
+	zcat "$(DSTROOT)/usr/share/cups/model/C/pcl-900.ppd.gz" | \
+		sed 's/HP DeskJet 900 series/HP DeskJet 995C/g' | \
+		gzip >	"$(DSTROOT)/usr/share/cups/model/C/pcl-995C.ppd.gz" 
+	zcat "$(DSTROOT)/usr/share/cups/model/C/pcl-340.ppd.gz" | \
+		sed 's/HP DeskJet 340/HP dj450/g' | \
+		gzip >	"$(DSTROOT)/usr/share/cups/model/C/pcl-450.ppd.gz"

## gimp print-7

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 
 #						--with-foomatic					
 
-Extra_Install_Flags   = sysconfdir="$(DSTROOT)$(ETCDIR)"
 Extra_CC_Flags        = -fno-common -I ../../intl
 GnuAfterInstall       = do-fixups
 
@@ -31,7 +30,7 @@
 
 do-fixups:
 	strip -S	"$(DSTROOT)/usr/bin/escputil" \
-			"$(DSTROOT)/usr/lib/libgimpprint.1.1.0.dylib" \
+			"$(DSTROOT)/usr/lib/libgimpprint.1.1.1.dylib" \
 			"$(DSTROOT)/usr/bin/cups-calibrate" \
 			"$(DSTROOT)/usr/libexec/cups/backend/canon" \
 			"$(DSTROOT)/usr/libexec/cups/backend/epson" \

=== gimp-print/src/ghost/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/Tools//
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/Libraries/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/Libraries//
infodir = ${prefix}/Library/info
mandir = ${prefix}/Library/man
includedir = ${prefix}/Headers//
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gimp-print
pkglibdir = $(libdir)/gimp-print
pkgincludedir = $(includedir)/gimp-print

top_builddir = ../..

ACLOCAL = aclocal -I src/main
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
ALL_LINGUAS = en_GB sv no fr da pl sk el nl es pt de ja cs
AS = @AS@
AWK = gawk
BISON_PROG = /usr/bin/bison
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  en_GB.gmo sv.gmo no.gmo fr.gmo da.gmo pl.gmo sk.gmo el.gmo nl.gmo es.gmo pt.gmo de.gmo ja.gmo cs.gmo
CATOBJEXT = .gmo
CC = gcc
CONVERT = /usr/X11R6/bin/convert
CUPS_BACKEND_BIN = $(CUPS_BACKEND_BIN)
CUPS_BIN = $(CUPS_BIN)
CUPS_CFLAGS = 
CUPS_CONF = $(CUPS_CONF)
CUPS_CONFIG = /usr/bin/cups-config
CUPS_FILTER_BIN = $(CUPS_FILTER_BIN)
CUPS_INSTALL = 
CUPS_LIBS = -Wl,-rpath,/usr/lib -lcupsimage -lcups -lssl -lcrypto -lnsl -lcrypt
CUPS_MAN = $(CUPS_MAN)
CUPS_NOINST_BIN = $(CUPS_NOINST_BIN)
CUPS_PKG = $(CUPS_PKG)
CUPS_PPD_PS_LEVEL = 2
DATADIRNAME = share
DB2HTML = /usr/bin/db2html
DB2PDF = /usr/bin/db2pdf
DB2PS = /usr/bin/db2ps
DLLTOOL = @DLLTOOL@
DVIPDF = /usr/local/bin/dvipdf
DVIPS = /usr/bin/dvips
ECHO = echo
ESCPUTIL_BIN = $(ESCPUTIL_BIN)
ESCPUTIL_MAN = $(ESCPUTIL_MAN)
EXEEXT = 
FOOMATIC_3_NOINST_BIN = 
FOOMATIC_CONFIGURE = /usr/local/bin/foomatic-configure
FOOMATIC_INSTALL = 
FOOMATIC_KITLOAD = /usr/local/sbin/foomatic-kitload
FOOMATIC_NOINST_BIN = $(FOOMATIC_NOINST_BIN)
FOOMATIC_OLDIDS_NOINST_BIN = $(FOOMATIC_OLDIDS_NOINST_BIN)
FOOMATIC_PPDFILE = 
GENCAT = gencat
GIMPPRINT_BINARY_AGE = 1
GIMPPRINT_CFLAGS = 
GIMPPRINT_CURRENT_INTERFACE = 2
GIMPPRINT_DEPLIBS =  -lm
GIMPPRINT_INTERFACE_AGE = 1
GIMPPRINT_LIBS = -lgimpprint
GIMPPRINT_MAJOR_VERSION = 4
GIMPPRINT_MICRO_VERSION = 6
GIMPPRINT_MINOR_VERSION = 2
GIMPPRINT_VERSION = 4.2.6
GIMPTOOL = /usr/local/Tools/gimptool
GIMP_BIN = $(GIMP_BIN)
GIMP_CFLAGS = -I/usr/local/Headers// -I/opt/gnome/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GIMP_CFLAGS_NOUI = -I/usr/local/Headers// -I/usr/include/glib-1.2 -I/usr/lib/glib/include
GIMP_CONFIG = /usr/local/Tools/gimp-config
GIMP_DATA_DIR = /usr/local/Libraries/share/gimp/1.2
GIMP_LIBS = -L/usr/local/Libraries// -lgimpui -lgimp -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -L/usr/lib -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GIMP_LIBS_NOUI = -L/usr/local/Libraries// -lgimp -L/usr/lib -lglib
GIMP_PLUGIN_DIR = /usr/local/Libraries///gimp/1.2
GLIBC21 = yes
GMOFILES =  en_GB.gmo sv.gmo no.gmo fr.gmo da.gmo pl.gmo sk.gmo el.gmo nl.gmo es.gmo pt.gmo de.gmo ja.gmo cs.gmo
GMSGFMT = /usr/bin/msgfmt
GNUCFLAGS = -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wwrite-strings -pedantic
IJS_CFLAGS = -I/usr/local/Headers///ijs
IJS_CONFIG = /usr/local/Tools/ijs-config
IJS_INSTALL = 
IJS_LIBS = -L/usr/local/Libraries// -lijs
INSTOBJEXT = .mo
INTLBISON = :
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LEX = flex
LIBGIMPPRINT_LIBS = $(top_builddir)/src/main/libgimpprint.la
LIBICONV = 
LIBM = -lm
LIBREADLINE_DEPS = -lreadline -lncurses
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = scripts/ltmain.sh
LN_S = ln -s
LTALLOCA = 
LTLIBOBJS =  xgetcwd.lo xmalloc.lo
LT_AGE = 1
LT_CURRENT = 2
LT_RELEASE = 4.2
LT_REVISION = 1
MAINT = 
MAINTAINER_CFLAGS = 
MAIN_BIN = 
MAIN_DAT = 
MAIN_MAN = 
MAIN_SCR = 
MAKEINFO = makeinfo
MKINSTALLDIRS = scripts/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = gimp-print
PERL = /usr/bin/perl
PLUG_IN_PATH = admin-bin
POFILES =  en_GB.po sv.po no.po fr.po da.po pl.po sk.po el.po nl.po es.po pt.po de.po ja.po cs.po
POSUB = po
PRINT_VASPRINTF = 
RANLIB = ranlib
RELEASE_DATE = 11 Jan 2004
RM = rm
SAMPLE_IMAGES = $(SAMPLE_IMAGES)
STRIP = strip
TESTPATTERN_BIN = 
TEST_BIN = $(TEST_BIN)
TEXI2HTML = /usr/bin/texi2html
USER_GUIDE = $(USER_GUIDE)
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 4.2.6
YACC = bison -y
YACC_PROG = 
cups_bindir = /usr/local/bin
cups_conf_datadir = /usr/share/cups
cups_conf_serverbin = /usr/lib/cups
cups_conf_serverroot = /etc/cups
cups_exec_prefix = /usr/local
cups_prefix = /usr/local
gimp_plug_indir = /usr/local/Libraries///gimp/1.2/plug-ins
gimpprint_cflags = 
gimpprint_libs = -lgimpprint  -lm

AUTOMAKE_OPTIONS = 1.4 gnu

MAINT_CHARSET = latin1

MAINCODE = canon.c					color.c						dither.c					escp2.c						escp2-data.c					lexmark.c					pcl.c						printers.c					ps.c						util.c						weave.c						dither-matrices.c


MAINHEADERS = print.h					print-internal.h				print-intl-internal.h				quickmatrix257.h				ran.367.179.h					ran.509.131.h					print-dither.h					print-escp2.h


MAINFILES = $(MAINCODE) $(MAINHEADERS)
#ALL_LOCAL_DEPS = $(srcdir)/$(addprefix gdevstp-,$(MAINCODE)) $(srcdir)/$(addprefix gdevstp-,$(MAINHEADERS))
ALL_LOCAL_DEPS = 

GHCODE = -e 's/print-printers.c/gdevstp-printers.c/' 	 -e 's/^\\\#include "\(gimp\-\)*\(.*\)\.h"$$/\\\#include "gdevstp-\2.h"/' 	 -e 's/^\\\#include <gimp-print\/gimp-print\(.*\)\.h>$$/\\\#include "gdevstp-print\1.h"/'


CLEANFILES =   $(srcdir)/gdevstp-printers.c  $(srcdir)/gdevstp-ran.367.179.h  $(srcdir)/gdevstp-ran.509.131.h  $(srcdir)/gdevstp-color.c  $(srcdir)/gdevstp-print.h  $(srcdir)/gdevstp-print-internal.h  $(srcdir)/gdevstp-print-intl-internal.h  $(srcdir)/gdevstp-quickmatrix257.h  $(srcdir)/gdevstp-util.c  $(srcdir)/gdevstp-weave.c  $(srcdir)/gdevstp-canon.c  $(srcdir)/gdevstp-dither.c  $(srcdir)/gdevstp-print-dither.h  $(srcdir)/gdevstp-dither-matrices.c  $(srcdir)/gdevstp-escp2.c  $(srcdir)/gdevstp-print-escp2.h  $(srcdir)/gdevstp-escp2-data.c  $(srcdir)/gdevstp-lexmark.c  $(srcdir)/gdevstp-pcl.c  $(srcdir)/gdevstp-ps.c


# End of old compatability cruft

MAINTAINERCLEANFILES = Makefile.in

EXTRA_DIST =  	COPYING 	Makefile 	Makefile.am 	README 	README.bsd 	contrib.mak.addon.in 	contrib.mak.addon.old 	debian-patch 	debian-patch-stp 	devs.mak.addon-5.10 	gdevstp.c


AM_CFLAGS = $(GNUCFLAGS)
INCLUDES = -I/usr/local/Headers///ijs  -I$(top_srcdir)/include -I$(top_builddir)/include -I$(top_srcdir)/intl $(LIBGIMPPRINT_CFLAGS)
LIBPRINTUT = $(top_builddir)/lib/libprintut.la
LIBS = -L/usr/local/Libraries// -lijs  -lz $(INTLLIBS)

IJS_BIN = ijsgimpprint

bin_PROGRAMS = $(IJS_BIN)

EXTRA_PROGRAMS = ijsgimpprint

ijsgimpprint_LDADD = $(LIBPRINTUT) $(LIBGIMPPRINT_LIBS)
ijsgimpprint_DEPENDENCIES = $(LIBGIMPPRINT_LIBS)
mkinstalldirs = $(SHELL) $(top_srcdir)/scripts/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES =  contrib.mak.addon
bin_PROGRAMS =  $(IJS_BIN)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
ijsgimpprint_SOURCES = ijsgimpprint.c
ijsgimpprint_OBJECTS =  ijsgimpprint.$(OBJEXT)
ijsgimpprint_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README COPYING Makefile.am Makefile.in \
contrib.mak.addon.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/ijsgimpprint.P
SOURCES = ijsgimpprint.c
OBJECTS = ijsgimpprint.$(OBJEXT)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/ghost/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

contrib.mak.addon: $(top_builddir)/config.status contrib.mak.addon.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

ijsgimpprint$(EXEEXT): $(ijsgimpprint_OBJECTS) $(ijsgimpprint_DEPENDENCIES)
	@rm -f ijsgimpprint$(EXEEXT)
	$(LINK) $(ijsgimpprint_LDFLAGS) $(ijsgimpprint_OBJECTS) $(ijsgimpprint_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/ghost

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/ghost/Makefile
	@for file in $(DISTFILES); do \

## gimp print-11

=== Makefile ===
##
# Makefile for gimp-print
##

# Project info
Project               = gimp-print
UserType              = Administrator
ToolType              = Services
LD_TWOLEVEL_NAMESPACE =
LIBTOOL_CMD_SEP       = ^

Extra_Configure_Flags = --sysconfdir=/private/etc		\
			--infodir=/usr/local/share/info \
			--mandir=/usr/local/share/man \
			--with-cups \
			--enable-cups-ppds \
			--enable-translated-cups-ppds \
			--disable-testpattern

Extra_CC_Flags        = -fno-common -I ../../intl
Extra_Install_Flags   = LIBTOOL_CMD_SEP=^
GnuAfterInstall       = do-fixups

# It's a GNU Source project
include $(MAKEFILEPATH)/CoreOS/ReleaseControl/GNUSource.make

do-fixups:
	find $(DSTROOT) -type f -perm +111 -print0 | xargs -0tn 1 strip -S
	rm -fr	"$(DSTROOT)/usr/include" \
		"$(DSTROOT)/usr/lib/charset.alias" \
		"$(DSTROOT)/usr/lib/gimp" \
		"$(DSTROOT)/usr/lib/libgimpprint.a" \
		"$(DSTROOT)/usr/lib/libgimpprint.la" \
		"$(DSTROOT)/usr/lib/pkgconfig/gimpprintui.pc" \
		"$(DSTROOT)/usr/lib/pkgconfig/gimpprintui2.pc" \
		"$(DSTROOT)/usr/sbin" \
		"$(DSTROOT)/usr/share/gimp-print/doc/html" \
		"$(DSTROOT)/usr/share/gimp-print/doc/reference-html" \
		"$(DSTROOT)/usr/share/gimp-print/samples" \
		"$(DSTROOT)/usr/share/info/dir" \
		"$(DSTROOT)/usr/share/locale/locale.alias" \
		"$(DSTROOT)/usr/share/man/man8/cups-genppd.8" \
		"$(DSTROOT)/usr/share/man/man8/cups-genppdconfig.8" \
		"$(DSTROOT)/usr/share/man/man8/cups-genppdupdate.8"

=== gimp-print/debian/changelog ===
gimp-print (5.0.0-alpha3-1) unstable; urgency=low

  * New upstream alpha release.
  * Build a static libgimpprintui only.
  * Remove libgimpprintui packages.
  * libgimpprint-doc: Fix documentation installation for new API
    reference and developer's reference.
  * cupsys-driver-gimpprint: remove PPDs on removal.

 -- Roger Leigh <rleigh@debian.org>  Sun, 23 May 2004 12:41:20 +0100

gimp-print (5.0.0-alpha2-1) unstable; urgency=low

  * New upstream alpha release.

 -- Roger Leigh <rleigh@debian.org>  Thu,  8 Apr 2004 20:08:11 +0100

gimp-print (5.0.0-alpha1-2) unstable; urgency=low

  * Synchronise packaging changes from Debian 4.2.6-4 packaging:
    - Change Recommends on gimpprint-locales to Suggests.
    - Updated debian/copyright to include the GFDL-licensed User's
      Guide.
    - Remove bison from Build-Depends, since it is not strictly
      required.
  * Update to Standards-Version 3.6.1
  * libgimpprint-doc: distribute gimpprint.pdf; gimpprint.ps is
    no longer created.

 -- Roger Leigh <rleigh@debian.org>  Mon, 15 Mar 2004 23:48:25 +0000

gimp-print (5.0.0-alpha1-1) unstable; urgency=low

  * New upstream alpha release.
  * Updated all hard-coded instances of "4.3" to "5.0".

 -- Roger Leigh <rleigh@debian.org>  Sun,  8 Feb 2004 19:55:10 +0000

gimp-print (4.3.25-1) unstable; urgency=low

  * New upstream development release.
  * Use new versioned CUPS executables.
  * Fix libgimpprintui header and pkg-config data installation.

 -- Roger Leigh <rleigh@debian.org>  Sun,  4 Jan 2004 10:29:10 +0000

gimp-print (4.3.21-1) unstable; urgency=low

  * New upstream development release.
  * Synchronise package descriptions with gimp-print 4.2.5-5 in Debian
    unstable.
  * Update dependencies in line with gimp-print 4.2.5-5.
  * gimp1.2-print renamed to gimp-print.  The gimp1.2 package has been
    renamed to gimp.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed,  1 Oct 2003 21:14:11 +0100

gimp-print (4.3.17-1) unstable; urgency=low

  * New upstream development release.
  * Build-Depends: add libcupsimage2-dev; remove libtool
  
 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sun, 29 Jun 2003 16:34:15 +0100

gimp-print (4.3.14-1) unstable; urgency=low

  * New upstream development release.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Thu,  8 May 2003 23:54:22 +0100

gimp-print (4.3.12-1) unstable; urgency=low

  * New upstream development release.
  * Move libgimpprint-dev to section libdevel.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue,  1 Apr 2003 16:41:08 +0100

gimp-print (4.3.9-1) unstable; urgency=low

  * New upstream development release.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 14 Feb 2003 20:46:05 +0000

gimp-print (4.3.8-1) unstable; urgency=low

  * New upstream development release (4.3.8).
  * cupsys-driver-gimpprint generates the PPDs in postinst, and removes them
    in prerm

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Mon, 20 Jan 2003 19:04:04 +0000

gimp-print (4.3.7-1) unstable; urgency=low

  * New upstream development release (4.3.7).
  * Add new library packages libgimpprintui and libgimpprintui-dev.
  * Add modules and XML data to libgimpprint.
  * Add cups-genppdupdate to cupsys-driver-gimpprint, and run in in
    postinst.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sun, 12 Jan 2003 20:03:01 +0000

gimp-print (4.3.6-1) unstable; urgency=low

  * New upstream development release (4.3.6)
  * Update to Standards-Version 3.5.7
  * Add cups-genppdconfig to cupsys-driver-gimpprint
  * Use debian/build and debian/install instead of debian/gimp-print-build
    and debian/gimp-print-install, respectively.
  * Use dh_install rather than dh_movefiles.  This makes debian/rules
    slightly cleaner, and debian/install is unchanged after install.
  * Create symlinks for HTML manuals, since different versions of
    texi2html and db2html create different names.
  * Make the dependencies sane (remove incorrect dependencies, and correct
    dubious ones).  foomatic-db-gimp-print now depends only upon foomatic-db
    and ijsgimpprint. 

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 10 Dec 2002 15:28:44 +0000

gimp-print (4.3.5-1) unstable; urgency=low

  * New upstream development release (4.3.5)
  * New package ijsgimpprint.  This provides an IJS server for use
    with ghostscript.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed,  9 Oct 2002 21:26:31 +0100

gimp-print (4.3.4-2) unstable; urgency=low

  * Fixed doc-base problems in libgimpprint-doc.  The doc-base file is
    generated with sed to insert the version number.
  * libgimpprint$(VERSION)-doc provides and conflicts with a virtual
    package libgimpprint-doc to prevent clashes with gimpprint.info docs.
    
 -- Roger Leigh <roger@whinlatter.uklinux.net>  Thu,  1 Aug 2002 12:19:42 +0100

gimp-print (4.3.4-1) unstable; urgency=low

  * New upstream development release (4.3.4)

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 20 Jul 2002 18:56:44 +0100

gimp-print (4.3.1-1) unstable; urgency=low

  * Move escputil to section utils
  * Upgrade to debhelper version 4
  * Automate library versioning to work for stable and unstable series.
    LIBRARY_VERSION is the library major version or -UPSTREAM_VERSION
  * Update configure regeneration to work with configure.ac
  * libgimpprint$(VERSION)-dev provides and conflicts with a virtual
    package `libgimpprint-dev'
  * Remove libgimpprint.postinst as ldconfig is called by debhelper
  * Sync package descriptions with the 4.2 stable branch

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 18 May 2002 18:32:19 +0100

gimp-print (4.3.0-1) unstable; urgency=low

  * New upstream development release (4.3.0)
  * Fix libgimpprint.postinst to use 'if' instead of 'case', removing a
    lintian warning.
  * Split out the message catalogues from the libgimpprint package into
    a new gimpprint-locales package to avoid filename conflicts when
    multiple libgimpprint versions are installed concurrently.


=== gimp-print/debian/control ===
Source: gimp-print
Section: graphics
Priority: optional
Maintainer: Roger Leigh <rleigh@debian.org>
Standards-Version: 3.6.1
Build-Depends: libcupsys2-dev, libcupsimage2-dev, libgimp1.2-dev, libglib1.2-dev, libgtk1.2-dev, libreadline4-dev, libijs-dev (>= 0.35-1), debhelper (>= 4.0.2), xlibs-dev, zlib1g-dev, flex, gettext (>= 0.11.5), foomatic-db-engine (>= 3.0.1-1), chrpath (>= 0.12)

Package: gimp-print
Architecture: any
Depends: ${shlibs:Depends}, gimp
Suggests: gimpprint-doc (>= ${Source-Version}), gimpprint-locales (>= ${Source-Version})
Description: The Print plugin for the GIMP
 This package includes the Print plugin for the GIMP.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: cupsys-driver-gimpprint
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${perl:Depends}, cupsys (>= 1.1.4) | cups (>= 1.1.4)
Recommends: postscript-viewer | gs (>= 6.51)
Suggests: gimpprint-doc (>= ${Source-Version}), gimpprint-locales (>= ${Source-Version})
Description: Gimp-Print printer drivers for CUPS
 This package includes a CUPS driver based on Gimp-Print.
 .
 The CUPS drivers contain all of the files needed to support
 photo-quality printing on any printer supported by Gimp-Print.  You
 can find out more about the Common UNIX Printing System ("CUPS"), an
 IPP-based printing system for UNIX/Linux, at:
 .
   http://www.cups.org
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: libgimpprint-5.0.0-alpha3-dev
Architecture: any
Section: libdevel
Depends: libgimpprint-5.0.0-alpha3 (= ${Source-Version})
Provides: libgimpprint-dev
Conflicts: libgimpprint-dev
Replaces: libgimpprint-dev
Suggests: libgimpprint-5.0.0-alpha3-doc (= ${Source-Version})
Description: Development files for the Gimp-Print library
 This package contains the header files for the Gimp-Print library,
 along with a static version of libgimpprint.
 .
 Install this package if you wish to develop programs that use
 libgimpprint.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: libgimpprint-5.0.0-alpha3-doc
Architecture: all
Section: doc
Replaces: libgimpprint-doc
Suggests: libgimpprint-5.0.0-alpha3-dev (= ${Source-Version})
Description: Documentation for the Gimp-Print printer driver library
 This package contains lots of info-files, DVI docs and other
 documentation about the Gimp-Print library for photo-quality
 printing.
 .
 Install this package if you want to have lots of info about the
 Gimp-Print library when you're programming.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: libgimpprint-5.0.0-alpha3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: gimpprint-locales (>= ${Source-Version})
Description: The Gimp-Print printer driver library
 This package includes the Gimp-Print shared library, needed to
 run programs using Gimp-Print drivers.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: gimpprint-locales
Architecture: all
Section: libs
Replaces: libgimpprint1 (<= 4.2.0-1)
Description: Locale data files for Gimp-Print
 This package contains the i18n files of Gimp-Print, used by
 libgimpprint-5.0.0-alpha3, cupsys-driver-gimpprint and escputil.
 It is also used by the Gimp Print plugin.
 It will be used by any programs which link with libgimpprint.
 .
 They are needed when you want the programs in Gimp-Print to print
 their messages in other languages than US English.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: gimpprint-doc
Architecture: all
Section: doc
Suggests: cupsys-driver-gimpprint (>= ${Source-Version}), foomatic-db-gimp-print (>= ${Source-Version}), gimp-print (>= ${Source-Version}), ijsgimpprint (>= ${Source-Version})
Description: Users' Guide for Gimp-Print and CUPS
 This package contains a user guide for programs using the
 Gimp-Print library for photographic quality printing.  Currently
 this covers using the Print plugin for the GIMP and the Common Unix
 Printing System (CUPS).
 .
 The documentation is available in both HTML and PDF formats for
 on-line viewing and hardcopy.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: escputil
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Suggests: gimpprint-locales (>= ${Source-Version})
Description: A maintenance utility for Epson Stylus printers
 escputil is a utility to clean and align the heads of Epson Stylus
 printers.  It can also check the current ink levels in the printer.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
  .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: ijsgimpprint
Architecture: any
Section: text
Depends: ${shlibs:Depends}, gs (>= 6.53) | gs-esp (>= 6.53) | gs-aladdin (>= 7.04)
Description: Inkjet Server - Ghostscript driver for Gimp-Print
 This package contains the ijsgimpprint binary which provides
 Ghostscript with a Gimp-Print driver, including all printers
 supported by Gimp-Print.
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

Package: foomatic-db-gimp-print
Architecture: all
Section: text
Depends: foomatic-db, ijsgimpprint (>= ${Source-Version})
Conflicts: foomatic-bin (<< 2.9), foomatic-db (<< 2.9)
Description: linuxprinting.org printer support - database for Gimp-Print printer drivers
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS or lpr) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package includes support for printers using the Gimp-Print
 printer driver suite.
 .
 Home Page: http://www.linuxprinting.org/
 .
 This is Gimp-Print version 5.0.0-alpha3, an alpha release
 in the 5.0 series.
 .
 Gimp-Print is the print facility for the Gimp, and in addition a
 suite of drivers that may be used with common UNIX spooling systems
 using GhostScript or CUPS.  These drivers provide printing quality
 for UNIX/Linux on a par with proprietary vendor-supplied drivers in
 many cases, and can be used for many of the most demanding printing
 tasks.

=== gimp-print/debian/rules ===
#!/usr/bin/make -f
# rules to package Gimp-Print
# $Id: rules,v 1.1.1.2 2004/07/23 06:26:25 jlovell Exp $
#
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Get upstream version, and define libgimpprint suffix
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep ^Version | sed "s/.* //" | sed "s/-[^-]*$$//")
UPSTREAM_VERSION_COMPACT = $(shell echo '$(UPSTREAM_VERSION)' | sed "s/\(.*\..*\)\..*/\1/"
LIBRARY_VERSION =  -$(UPSTREAM_VERSION)
#LIBRARY_VERSION = 1

autoconfigure: autoconfigure-stamp
autoconfigure-stamp: debian/control debian/libgimpprint.install debian/libgimpprint-doc.doc-base.developer debian/libgimpprint-doc.doc-base.reference debian/libgimpprint-doc.install
	dh_testdir
# Create versioned symlinks
	cd debian; \
	for file in libgimpprint*; do \
	ln -sfv $$file `echo $$file | sed -e 's/\(libgimpprint[[:alpha:]]*\)\(.*\)/\1$(LIBRARY_VERSION)\2/'`; \
	done
	rm debian/libgimpprint$(LIBRARY_VERSION)*.in
	mkdir debian/build; \
	cd debian/build; \
	../../configure --host=$(DEB_HOST_GNU_TYPE) \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --mandir=\$${prefix}/share/man \
	  --enable-static --enable-shared --disable-rpath \
	  --with-modules=dlopen \
	  --with-gimp --with-cups --with-ijs \
	  --with-foomatic --with-foomatic3 \
	  --disable-test \
	  --enable-cups-level3-ppds --disable-translated-ppds \
	  --disable-cups-level3-ps --disable-static-genppd \
	  --enable-maintainer-mode 
	touch autoconfigure-stamp


build: build-stamp debian/control
build-stamp: autoconfigure-stamp
	dh_testdir

	cd debian/build; \
	$(MAKE)

	touch build-stamp

clean: debian/control
	dh_testdir
	rm -f build-stamp autoconfigure-stamp

	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub scripts/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess scripts/config.guess

	rm -rf debian/build debian/install
	rm -rf debian/libgimpprint.install debian/libgimpprint-doc.doc-base.developer debian/libgimpprint-doc.doc-base.reference debian/libgimpprint-doc.install
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).files
	rm -rf debian/libgimpprint$(LIBRARY_VERSION).postinst
	-$(MAKE) distclean

	rm -rf $(CURDIR)/debian/libgimpprint*$(LIBRARY_VERSION)*
	dh_clean

install: DH_OPTIONS=
install: build debian/control
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd debian/build; \
	$(MAKE) DESTDIR=`pwd`/../install install

	dh_install


# Build architecture-independent files here.
binary-indep: build install ChangeLog
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i NEWS
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install ChangeLog
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	  cp src/cups/README debian/cupsys-driver-gimpprint/usr/share/doc/cupsys-driver-gimpprint/README.cups
	  mv debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppd.8 debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppd.5.0.8
	  mv debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppdconfig.8 debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppdconfig.5.0.8
	  mv debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppdupdate.8 debian/cupsys-driver-gimpprint/usr/share/man/man8/cups-genppdupdate.5.0.8
	dh_installexamples -a
	dh_installchangelogs -a NEWS
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
# Strip DT_RPATH from CUPS binaries.
	find debian/cupsys-driver-gimpprint/usr/lib -type f -perm +0111 -print0 | xargs -0 chrpath --delete
	chrpath --delete debian/cupsys-driver-gimpprint/usr/sbin/cups-genppd.5.0
	dh_makeshlibs -a -V -X usr/lib/gimp-print
	dh_installdeb -a
	dh_shlibdeps -a -X usr/lib/gimp-print -l`pwd`/debian/libgimpprint$(LIBRARY_VERSION)/usr/lib
	dh_perl -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

# Make sure ChangeLog is up-to-date.
ChangeLog: changelog-stamp
changelog-stamp: build
	$(MAKE) ChangeLog

SEDPATTERN = -e "s/\#UPSTREAM_VERSION\#/$(UPSTREAM_VERSION)/g" -e "s/\#LIBRARY_VERSION\#/$(LIBRARY_VERSION)/g"

# Make sure debian/control is up-to-date.
debian/control: debian/control.in debian/changelog
	sed $(SEDPATTERN) <$< >$@

# Make sure debian/libgimpprint-doc.doc-base is up-to-date.
debian/libgimpprint-doc.doc-base.developer: debian/libgimpprint-doc.doc-base.developer.in debian/changelog
	sed $(SEDPATTERN) <$< >$@

# Make sure debian/libgimpprint-doc.doc-base is up-to-date.
debian/libgimpprint-doc.doc-base.reference: debian/libgimpprint-doc.doc-base.reference.in debian/changelog
	sed $(SEDPATTERN) <$< >$@

# Make sure debian/libgimpprint-doc.install is up-to-date.
debian/libgimpprint.install: debian/libgimpprint.install.in debian/changelog
	sed $(SEDPATTERN) <$< >$@

# Make sure debian/libgimpprint-doc.install is up-to-date.
debian/libgimpprint-doc.install: debian/libgimpprint-doc.install.in debian/changelog
	sed $(SEDPATTERN) <$< >$@


# Make sure that configure is up-to-date.
configure: configure.ac scripts/install-sh
	if test -f configure.ac; then \
	  if test -f autogen.sh; then \
	    NOCONFIGURE=TRUE /bin/sh autogen.sh; \
	  fi \
	fi

scripts/install-sh:
	if test -f autogen.sh; then \
	  NOCONFIGURE=TRUE /bin/sh autogen.sh; \
	fi

.PHONY: build clean binary-indep binary-arch binary install autoconfigure
